using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace WindowsApplication25
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {


            #region Get the DataSource
            DataTable dt = new DataTable("MyTable");

            int nCols = 4;
            int nRows = 50;
            Random r = new Random(123345345);

            for (int i = 0; i < nCols; i++)
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i), typeof(int)));

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                    dr[j] = r.Next(10);
                dt.Rows.Add(dr);
            }
            #endregion

            this.gridDataBoundGrid1.DataSource = dt;

            CurrencyManager cm = gridDataBoundGrid1.BindingContext[gridDataBoundGrid1.DataSource, gridDataBoundGrid1.DataMember] as CurrencyManager;
            DataView dv = cm.List as DataView;
            dv.RowFilter = "[Col1] <> 1";


            GridFilterBar filterBar = new GridFilterBar();
            filterBar.WireGrid(gridDataBoundGrid1);

            this.Text = string.Format("{0} rows in DataTable, {1} rows in initially filtered grid", dt.Rows.Count, dv.Count);
        }

       
    }
}